Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.jdom
Class DOMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jdt.core.jdom.DOMException

All Implemented Interfaces:
  Serializable

Deprecated. The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

public class DOMException
extends RuntimeException

Unchecked exception thrown when an illegal manipulation of the JDOM is performed, or when an attempt is made to access/set an attribute of a JDOM node that source indexes cannot be determined for (in case the source was syntactically incorrect).

See Also:
  Serialized Form

Constructor Summary
`DOMException()` Deprecated. Creates a new exception with no detail message.
`DOMException(String message)` Deprecated. Creates a new exception with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMException

    public DOMException()

  Deprecated.
  Creates a new exception with no detail message.

### DOMException

    public DOMException(String message)

  Deprecated.
  Creates a new exception with the given detail message.

Parameters:
  `message` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.